---
vault:
  global:
    enabled: true

  injector:
    enabled: false

  server:
    enabled: true
    updateStrategyType: "OnDelete"
    logLevel: "info"
    logFormat: "json"
    resources: {}
    tolerations: []
    nodeSelector: {}
    # volumes:
    #   - name: user-vault-config
    #     secret:
    #       secretName: vault-config
    #       defaultMode: 420
    # volumeMounts:
    #   - name: user-vault-config
    #     mountPath: /vault/userconfig/vault-storage-config
    #     readOnly: true
    # extraArgs: -config=/vault/userconfig/vault-storage-config/config-pg.hcl
    dataStorage:
      enabled: true
      size: 10Gi
      mountPath: "/vault/data"
    standalone:
      enabled: true
      config: |
        ui = true
        storage "file" {
          path = "/vault/data"
        }
        listener "tcp" {
          tls_disable = 1
          address = "[::]:8200"
          cluster_address = "[::]:8201"
          # Enable unauthenticated metrics access (necessary for Prometheus Operator)
          #telemetry {
          #  unauthenticated_metrics_access = "true"
          #}
        }

  ui:
    enabled: true